Module:Chessboard/sandbox/styles.css

From Wikipedia, the free encyclopedia
This is the current revision of this page, as edited by imported>Awesome Aasim at 18:09, 11 October 2025 (sandbox version for experimentation). The present address (URL) is a permanent link to this version.
(diff) ← Previous revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
.chessboard table {
	font-size: 88%;
	border: 1px #c8ccd1 solid;
	padding: 0;
	margin: auto;
}

.chessboard table tr {
	vertical-align: middle;
}

.chessboard table td {
	padding: 0;
	vertical-align: inherit;
	text-align: center;
}

/* td containing the chess pieces should not center aligned, causes issues in Timeless */
.chessboard table td[rowspan] {
	text-align: unset;
}

.chessboard .chess-pieces div:not(.pcs-image-wrapper) {
	position: absolute;
	z-index: 3;
}